Bug 1794744 - Multiple machine_types/flavors and images are being shown for provisioning GCE Host
Summary: Multiple machine_types/flavors and images are being shown for provisioning GC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2020-01-24 14:08 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
1 user (show)

Fixed In Version: foreman-1.24.1.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
[Verified Screenshot] Unique flavors and not repeated (19.95 KB, image/png)
2020-02-27 08:45 UTC, Jitendra Yejare
no flags Details
[Verified Screenshot] UI Unique flavors and not repeated (22.15 KB, image/png)
2020-02-27 08:45 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28898 Normal Closed Multiple machine_types/flavors are being shown for provisioning GCE Host 2020-02-27 08:32:16 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:48 UTC

Description Jitendra Yejare 2020-01-24 14:08:01 UTC
Description of problem:
Hammer, UI and probably API also showing every machine_type but multiple times to provision the GCE Host.


Version-Release number of selected component (if applicable):
Satellite 6.7 snap 9

How reproducible:
Always

Steps to Reproduce:
1. Create a GCE Compute Resource.
2. From UI:
     1. While host provisioning, attempt to search any machine_type while choosing machine type.
3. From API/CLI:
     1. List the machine types/flavors in Compute Resource.

Actual results:
Every machine_type is displayed/fetched multiple times to provision the GCE Host.

Expected results:
Every machine_type/flavor should be fetched once.

Additional info:

Comment 3 Jitendra Yejare 2020-01-26 18:03:23 UTC
Same also applies with the count of Available images in GCE CR. The count of available images in GCE CR under satellite is different(more) than whats available in Google Compute Engine under images section.

Comment 4 Kavita 2020-01-30 09:53:11 UTC
Created redmine issue https://projects.theforeman.org/issues/28898 from this bug

Comment 5 Bryan Kearney 2020-01-30 11:01:41 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 6 Kavita 2020-02-03 10:21:28 UTC
@Jitendra,

From comment 3, could you please raise a separate issue for images? 
Because showing duplicate records for machine_types/flavors is different than having different images list than google compute engine.
I will add my observations related to images accordingly. 

Thank you.

Comment 7 Jitendra Yejare 2020-02-11 11:39:12 UTC
Kavita, 

Raised new bug - https://bugzilla.redhat.com/show_bug.cgi?id=1801622

Comment 8 Bryan Kearney 2020-02-12 15:01:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28898 has been resolved.

Comment 10 Jitendra Yejare 2020-02-27 08:45:05 UTC
Created attachment 1666150 [details]
[Verified Screenshot] Unique flavors and not repeated

Verified!

@Satellite 6.7 snap 13

Steps:
----------------------
1. Fetch GCE machite_type/flavors from UI/CLI/API.


Observation:
----------------------
1. Every machine_type/flavor is being fetched once and unique.


UI:
Screenshot Attached.

CLI:

# hammer compute-resource flavors --id 1 | grep n1-highmem
5016   | n1-highmem-16 
5002   | n1-highmem-2  
5032   | n1-highmem-32 
5004   | n1-highmem-4  
5064   | n1-highmem-64 
5008   | n1-highmem-8  
5096   | n1-highmem-9

API:
Screenshot Attached of STDOUT and grep.

Comment 11 Jitendra Yejare 2020-02-27 08:45:59 UTC
Created attachment 1666151 [details]
[Verified Screenshot] UI Unique flavors and not repeated

UI Screenshot.

Comment 14 errata-xmlrpc 2020-04-14 13:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.